Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
Roberto Fernandez Montero
Upgrade to 6.1.0 to 6.1.1 error data base
January 30, 2013 8:39 AM
Answer

Roberto Fernandez Montero

Rank: New Member

Posts: 21

Join Date: December 12, 2012

Recent Posts

Hi, im try to upgrade from liferay 6.1.0 to 6.1.1

I download de the bundle, replace the new bundle for the old bundle and start server.
I get a error:

java.lang.IllegalStateException: The database contains changes from a previous upgrade attempt that failed. Please restore the old database and file system and retry the upgrade. A patch may be required if the upgrade failed due to a bug or an unforeseen data permutation that resulted from a corrupt database.
java.lang.IllegalStateException: The database contains changes from a previous upgrade attempt that failed. Please restore the old database and file system and retry the upgrade. A patch may be required if the upgrade failed due to a bug or an unforeseen data permutation that resulted from a corrupt database.
at com.liferay.portal.tools.DBUpgrader._checkReleaseState(DBUpgrader.java:262)
at com.liferay.portal.tools.DBUpgrader.upgrade(DBUpgrader.java:126)
at com.liferay.portal.events.StartupAction.doRun(StartupAction.java:144)
at com.liferay.portal.events.StartupAction.run(StartupAction.java:52)
at com.liferay.portal.servlet.MainServlet.processStartupEvents(MainServlet.java:1306)
at com.liferay.portal.servlet.MainServlet.init(MainServlet.java:214)
at javax.servlet.GenericServlet.init(GenericServlet.java:160)
at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1266)
at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1185)
at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1080)
at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:5015)
at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5302)
at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:895)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:871)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:615)
at org.apache.catalina.startup.HostConfig.deployDescriptor(HostConfig.java:649)
at org.apache.catalina.startup.HostConfig$DeployDescriptor.run(HostConfig.java:1585)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
at java.util.concurrent.FutureTask.run(FutureTask.java:166)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
at java.lang.Thread.run(Thread.java:722)
Stopping the server due to unexpected startup errors


I dont do any update before...Now i restore the backup and my files.
What im doing wrong?
THanks
Luis Mas
RE: Upgrade to 6.1.0 to 6.1.1 error data base
January 31, 2013 12:02 AM
Answer

Luis Mas

Rank: Regular Member

Posts: 145

Join Date: May 18, 2009

Recent Posts

I don't think this will solve the problem, but try to test against this one: www.lcepatchers.org as it has some fix bugs applied.

Did you do a backup of everything before trying to upgrade?
Roberto Fernandez Montero
RE: Upgrade to 6.1.0 to 6.1.1 error data base
January 31, 2013 12:26 AM
Answer

Roberto Fernandez Montero

Rank: New Member

Posts: 21

Join Date: December 12, 2012

Recent Posts

Yes, i do a backup of everithing.
I will try with the new bundle, i must only replace the tomcat directory or i need to replace the lportal.properties and lportal.script old for the new zip file?
Rafael Lluis
RE: Upgrade to 6.1.0 to 6.1.1 error data base
January 31, 2013 5:27 AM
Answer

Rafael Lluis

Rank: Junior Member

Posts: 29

Join Date: October 15, 2012

Recent Posts

The log you are attaching is the final one, once the database gets "corrupted" because of an unterminated upgrade. If the upgrade process has any error, then the column state_ of the release_ table is updated with a "2" value which prevents tomcat to start Liferay due to incosistent upgrade process.

So what you should check is the logs associated to the upgrade process itself. There you'll find the problem or some clue to fix it.

Of course, as previosly mentioned, you can try with the version of https://www.lcepatchers.org/downloads which has many bugs fixed and then if uoy still have problem check the logs and put them here.
Roberto Fernandez Montero
RE: Upgrade to 6.1.0 to 6.1.1 error data base
February 1, 2013 1:54 AM
Answer

Roberto Fernandez Montero

Rank: New Member

Posts: 21

Join Date: December 12, 2012

Recent Posts

You are rigth, somebody tries to upgrade before me and corrupted the bbdd, y restore to the original state and now the upgrade works ok.
Thanks you.
Roberto Fernandez Montero
RE: Upgrade to 6.1.0 to 6.1.1 error data base
February 6, 2013 1:23 AM
Answer

Roberto Fernandez Montero

Rank: New Member

Posts: 21

Join Date: December 12, 2012

Recent Posts

Rafael Lluis:
The log you are attaching is the final one, once the database gets "corrupted" because of an unterminated upgrade. If the upgrade process has any error, then the column state_ of the release_ table is updated with a "2" value which prevents tomcat to start Liferay due to incosistent upgrade process.

So what you should check is the logs associated to the upgrade process itself. There you'll find the problem or some clue to fix it.

Of course, as previosly mentioned, you can try with the version of https://www.lcepatchers.org/downloads which has many bugs fixed and then if uoy still have problem check the logs and put them here.


You are rigth, the value in state was 2.
I replace by 0, launch the upgrade and works fine. Thanks